=== src/CMakeLists.txt ===

set(CMAKE_VERBOSE_MAKEFILE ON)

set(SRCS
#    CTcp.cpp
    Garmin.cpp
    IDeviceDefault.cpp
    ILink.cpp
)

set(HDRS
    Platform.h
    CSerial.h
#    CTcp.h
    CUSB.h
    Garmin.h
    IDeviceDefault.h
    IDevice.h
    ILink.h
)

if(UNIX)
    set(SRCS ${SRCS} CUSB.cpp CSerial.cpp)
endif(UNIX)

if(APPLE)
    set(SRCS ${SRCS} CUSB_MacOSX.cpp CSerial.cpp)
endif(APPLE)

if(WIN32)
	add_definitions(-D_CRT_SECURE_NO_DEPRECATE)
    set(SRCS ${SRCS} CUSB_win32.cpp)
endif(WIN32)

add_library(garmin STATIC ${SRCS} ${HDRS})

if(UNIX)
    SET_TARGET_PROPERTIES( garmin PROPERTIES COMPILE_FLAGS -fPIC)
    install(FILES IDevice.h DESTINATION /usr/include/garmin/)
endif(UNIX)
