=== src/EtrexH/CMakeLists.txt ===

set(CMAKE_VERBOSE_MAKEFILE ON)

set(SRCS
    loader.cpp
    CDevice.cpp
    EHSerial.cpp
)

set(HDRS
    CDevice.h
    EHSerial.h
)

include_directories(../)
add_library(EtrexH SHARED ${SRCS} ${HDRS})
target_link_libraries(EtrexH garmin usb pthread)

set(ALIASES
    EtrexEuro
)

foreach(var ${ALIASES})
    message(" ${var}")
    add_custom_command( TARGET EtrexH
                        POST_BUILD
                        COMMAND ln ARGS -sf libEtrexH.so lib${var}.so
                        WORKING_DIRECTORY ${LIBRARY_OUTPUT_PATH}
                        )
endforeach(var)
