=== src/EtrexLegendC/CMakeLists.txt ===

set(CMAKE_VERBOSE_MAKEFILE ON)

set(SRCS
    loader.cpp
    CDevice.cpp
)

set(HDRS
    CDevice.h
)

include_directories(../ ${USB_INCLUDE_DIRS})
add_library(EtrexLegendC SHARED ${SRCS} ${HDRS})
target_link_libraries(EtrexLegendC garmin ${USB_LIBRARIES} pthread)

set(ALIASES
    EtrexVistaC
    GPSMap60CS
    GPSMap76CS
)

foreach(var ${ALIASES})
    message(" ${var}")
    add_custom_command( TARGET EtrexLegendC
                        POST_BUILD
                        COMMAND ln ARGS -sf libEtrexLegendC.so lib${var}.so
                        WORKING_DIRECTORY ${LIBRARY_OUTPUT_PATH}
                        )
endforeach(var)
