=== src/GPSMap60CSx/CMakeLists.txt ===

set(CMAKE_VERBOSE_MAKEFILE ON)

set(SRCS
    loader.cpp
    CDevice.cpp
)

set(HDRS
    CDevice.h
)

include_directories(../ ${USB_INCLUDE_DIRS})
add_library(GPSMap60CSx SHARED ${SRCS} ${HDRS})
target_link_libraries(GPSMap60CSx garmin ${USB_LIBRARIES} pthread)

set(ALIASES
    GPSMap60Cx
    GPSMap60
    EtrexVentureCx
    EtrexVistaCx
    GPSMap76CSx
    EtrexVentureHC
    EtrexSummitHC
    EtrexVistaHCx
    EtrexLegendHCx
    GPSMap76Cx
    Quest
)

foreach(var ${ALIASES})
    message(" ${var}")
    add_custom_command( TARGET GPSMap60CSx
                        POST_BUILD
                        COMMAND ln ARGS -sf libGPSMap60CSx.so lib${var}.so
                        WORKING_DIRECTORY ${LIBRARY_OUTPUT_PATH}
                        )
endforeach(var)
