=== src/GPSMap76/CMakeLists.txt ===

set(CMAKE_VERBOSE_MAKEFILE ON)

set(SRCS
    loader.cpp
    CDevice.cpp
)

set(HDRS
    CDevice.h
)

include_directories(../)
add_library(GPSMap76 SHARED ${SRCS} ${HDRS})
target_link_libraries(GPSMap76 garmin pthread)

set(ALIASES
    GPSMap76S
    Rino120
)


foreach(var ${ALIASES})
    message(" ${var}")
    add_custom_command( TARGET GPSMap76
                        POST_BUILD
                        COMMAND ln ARGS -sf libGPSMap76.so lib${var}.so
                        WORKING_DIRECTORY ${LIBRARY_OUTPUT_PATH}
                        )
endforeach(var)
