## garmindev 0.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,12 +9,12 @@
 
 #this one is for the API version check
 set(VER_MAJOR     01)
-set(VER_MINOR     16)
+set(VER_MINOR     17)
 
 #this one is for the release version
 set(PACKAGE_VER_MAJOR     0)
 set(PACKAGE_VER_MINOR     3)
-set(PACKAGE_VER_PATCH     0)
+set(PACKAGE_VER_PATCH     2)
 
 
 add_definitions(-DVER_MAJOR=${VER_MAJOR} -DVER_MINOR=${VER_MINOR})
@@ -32,8 +32,8 @@
 include(CPackConfig.cmake)
 
 # disallow in-source build
-include(MacroEnsureOutOfSourceBuild)
-macro_ensure_out_of_source_build("${PROJECT_NAME} requires an out of source build. Please create a separate build directory and run 'cmake /path/to/${PROJECT_NAME} [options]' there.")
+# include(MacroEnsureOutOfSourceBuild)
+# macro_ensure_out_of_source_build("${PROJECT_NAME} requires an out of source build. Please create a separate build directory and run 'cmake /path/to/${PROJECT_NAME} [options]' there.")
 
 # config.h generation
 include(ConfigureChecks.cmake)
@@ -42,6 +42,21 @@
   ${CMAKE_BINARY_DIR}
   ${CMAKE_CURRENT_BINARY_DIR}
 )
+
+if(APPLE)
+  set(SHARED_LIB_EXT ".dylib")
+  set(QLANDKARTEGT_BUILD_DIR "../build_QLandkarteGT"
+  	  CACHE PATH "location of the QLandkarteGT build folder")
+  add_custom_target(mac-deploy
+  	COMMAND
+  	  rm -rf "${QLANDKARTEGT_BUILD_DIR}/bin/QLandkarte\ GT.app/Contents/Resources/Drivers" &&
+  	  mkdir -p "${QLANDKARTEGT_BUILD_DIR}/bin/QLandkarte\ GT.app/Contents/Resources/Drivers" &&
+  	  tar -cpf - --exclude '*.a' -C ${LIBRARY_OUTPUT_PATH} . |
+  	  tar -xpf - -C "${QLANDKARTEGT_BUILD_DIR}/bin/QLandkarte\ GT.app/Contents/Resources/Drivers"
+  )
+elseif(UNIX)
+  set(SHARED_LIB_EXT ".so")
+endif (APPLE)
 
 find_package(USB REQUIRED)
