## garmindev 0.3.4

=== src/ForeRunner/CMakeLists.txt ===

set(CMAKE_VERBOSE_MAKEFILE ON)

set(SRCS
    loader.cpp
    CDevice.cpp
)

set(HDRS
    CDevice.h
)

include_directories(../ ${LIBUSB_INCLUDE_DIRS})
add_library(Forerunner305 SHARED ${SRCS} ${HDRS})
target_link_libraries(Forerunner305 garmin ${LIBUSB_LIBRARIES} pthread)

set(ALIASES

)

foreach(var ${ALIASES})
    message(" ${var}")
    add_custom_command( TARGET Forerunner305
                        POST_BUILD
                        COMMAND ln ARGS -sf libForerunner305${SHARED_LIB_EXT} lib${var}${SHARED_LIB_EXT}
                        WORKING_DIRECTORY ${LIBRARY_OUTPUT_PATH}
                        )
endforeach(var)
