=== debian/changelog ===
garmindev (0.3.4-2) unstable; urgency=low

  * Fix mis-oriented device screenshots of GPSMAP76CSx devices
   (Closes: #577644). Thanks to Jonas Stein for reporting.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 07 Jun 2010 07:14:58 -0400

garmindev (0.3.4-1) unstable; urgency=low

  * New upstream release. New API version.
  * Switch from CDBS to debhelper's dh. Bump compat level to 7.
  * Switch to source package format 3.0 (quilt).

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 06 Jun 2010 17:50:47 -0400

garmindev (0.3.3-1) unstable; urgency=low

  * New upstream release. Added support for GPSMap60C.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 06 Mar 2010 10:09:21 -0500

garmindev (0.3.2-1) unstable; urgency=low

  * New upstream release (Missed 0.3.1).
  * Updated debian/copyright.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 30 Jan 2010 11:58:05 -0500

garmindev (0.3.0-1) unstable; urgency=low

  * Initial release (Closes: #532619).

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 31 Aug 2009 09:05:51 -0400
