=== debian/control ===
Source: garmindev
Section: utils
Priority: optional
Maintainer: Michael Hanke <michael.hanke@gmail.com>
Uploaders: Yaroslav Halchenko <yoh@debian.org>
Build-Depends: debhelper (>= 7.0.50~), cmake (>= 2.4), libusb-dev
Standards-Version: 3.8.4
Homepage: http://www.qlandkarte.org
XS-DM-Upload-Allowed: yes
Vcs-Browser: http://git.debian.org/?p=collab-maint/garmindev.git
Vcs-Git: git://git.debian.org/git/collab-maint/garmindev.git


Package: qlandkartegt-garmin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: QLandkarteGT plugins to access Garmin devices
 A collection of plugins for QLandkarteGT to talk to various Garmin GPS devices,
 including GPSMap60CSx, GPSMap76, eTrexH, eTrexLegend and similar GPSr.
