=== debian/rules ===
#!/usr/bin/make -f

export LDFLAGS = -Wl,--no-undefined

# one ring to rule them all ...
%:
	dh $@

override_dh_auto_install:
	# install into temp dir to filter out plugins only
	dh_auto_install --destdir=$(CURDIR)/debian/tmp
