## garmindev 0.3.4%2Bsvn3432

=== debian/changelog ===
garmindev (0.3.4+svn3432-2) unstable; urgency=low

  * Bump Standards

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 08 May 2013 13:11:54 +0200

garmindev (0.3.4+svn3432-1) experimental; urgency=low

  * Upload svn 3432 (Closes: #681357)
  * Set myself as uploader (Closes: #654749)
  * Update copyright file
  * Add Forerunner 305 to description
  * Remove manually set flags
  * Set compat level to 9 and dh 9 to fix hardening 
  * Little improvement to gitignore file
  * Refresh patch
  * Added gbp.conf file
  * Added local-option file
  * Bump Standards

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 20 Jul 2012 14:52:46 +0200
