## garmindev 0.3.4+svn3432

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,12 +9,12 @@
 
 #this one is for the API version check
 set(VER_MAJOR     01)
-set(VER_MINOR     17)
+set(VER_MINOR     18)
 
 #this one is for the release version
 set(PACKAGE_VER_MAJOR     0)
 set(PACKAGE_VER_MINOR     3)
-set(PACKAGE_VER_PATCH     2)
+set(PACKAGE_VER_PATCH     5)
 
 
 add_definitions(-DVER_MAJOR=${VER_MAJOR} -DVER_MINOR=${VER_MINOR})
@@ -46,13 +46,13 @@
 if(APPLE)
   set(SHARED_LIB_EXT ".dylib")
   set(QLANDKARTEGT_BUILD_DIR "../build_QLandkarteGT"
-  	  CACHE PATH "location of the QLandkarteGT build folder")
+      CACHE PATH "location of the QLandkarteGT build folder")
   add_custom_target(mac-deploy
-  	COMMAND
-  	  rm -rf "${QLANDKARTEGT_BUILD_DIR}/bin/QLandkarte\ GT.app/Contents/Resources/Drivers" &&
-  	  mkdir -p "${QLANDKARTEGT_BUILD_DIR}/bin/QLandkarte\ GT.app/Contents/Resources/Drivers" &&
-  	  tar -cpf - --exclude '*.a' -C ${LIBRARY_OUTPUT_PATH} . |
-  	  tar -xpf - -C "${QLANDKARTEGT_BUILD_DIR}/bin/QLandkarte\ GT.app/Contents/Resources/Drivers"
+    COMMAND
+      rm -rf "${QLANDKARTEGT_BUILD_DIR}/bin/QLandkarte\ GT.app/Contents/Resources/Drivers" &&
+      mkdir -p "${QLANDKARTEGT_BUILD_DIR}/bin/QLandkarte\ GT.app/Contents/Resources/Drivers" &&
+      tar -cpf - --exclude '*.a' -C ${LIBRARY_OUTPUT_PATH} . |
+      tar -xpf - -C "${QLANDKARTEGT_BUILD_DIR}/bin/QLandkarte\ GT.app/Contents/Resources/Drivers"
   )
 elseif(UNIX)
   set(SHARED_LIB_EXT ".so")
@@ -67,6 +67,8 @@
 add_subdirectory(./src/EtrexLegend)
 add_subdirectory(./src/EtrexH)
 add_subdirectory(./src/whatGarmin)
+add_subdirectory(./src/ForeRunner)
+add_subdirectory(./src/Oregon)
 
 install(
     DIRECTORY
