=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
     Garmin.cpp
     IDeviceDefault.cpp
     ILink.cpp
+    CUSB_common.cpp
 )
 
 set(HDRS
@@ -19,9 +20,10 @@
     ILink.h
 )
 
-if(UNIX)
+if(UNIX AND NOT APPLE)
+    include_directories(../ ${LIBUSB_INCLUDE_DIRS})
     set(SRCS ${SRCS} CUSB.cpp CSerial.cpp)
-endif(UNIX)
+endif(UNIX AND NOT APPLE)
 
 if(APPLE)
     set(SRCS ${SRCS} CUSB_MacOSX.cpp CSerial.cpp)
@@ -35,6 +37,11 @@
 add_library(garmin STATIC ${SRCS} ${HDRS})
 
 if(UNIX)
+    if(APPLE)
+        target_link_libraries( garmin "-F/Library/Frameworks -L/Library/Frameworks -framework IOKit -framework CoreFoundation")
+    else(APPLE)
+        target_link_libraries( garmin ${LIBUSB_LIBRARIES})
+    endif(APPLE)
     SET_TARGET_PROPERTIES( garmin PROPERTIES COMPILE_FLAGS -fPIC)
-    install(FILES IDevice.h DESTINATION /usr/include/garmin/)
+    install(FILES IDevice.h DESTINATION ${INCLUDE_INSTALL_DIR}/garmin/)
 endif(UNIX)
