=== src/EtrexLegend/CMakeLists.txt ===

set(CMAKE_VERBOSE_MAKEFILE ON)

set(SRCS
    loader.cpp
    CDevice.cpp
)

set(HDRS
    CDevice.h
)

include_directories(../ ${LIBUSB_INCLUDE_DIRS})
add_library(EtrexLegend SHARED ${SRCS} ${HDRS})
target_link_libraries(EtrexLegend garmin ${LIBUSB_LIBRARIES} pthread)

set(ALIASES
    EtrexVista
    EtrexClassic
)


foreach(var ${ALIASES})
    message(" ${var}")
    add_custom_command( TARGET EtrexLegend
                        POST_BUILD
                        COMMAND ln ARGS -sf libEtrexLegend${SHARED_LIB_EXT} lib${var}${SHARED_LIB_EXT}
                        WORKING_DIRECTORY ${LIBRARY_OUTPUT_PATH}
                        )
endforeach(var)
