=== src/EtrexLegendC/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
 set(ALIASES
     EtrexVistaC
     GPSMap60CS
+    GPSMap60C
     GPSMap76CS
 )
