=== src/ForeRunner/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 target_link_libraries(Forerunner305 garmin ${LIBUSB_LIBRARIES} pthread)
 
 set(ALIASES
-
+    Forerunner205
 )
 
 foreach(var ${ALIASES})
