=== src/ForeRunner/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /usr/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/all/PP/usb/GarminDev

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/all/PP/usb/GarminDev

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target package
package: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool..."
	cd /home/all/PP/usb/GarminDev && /usr/bin/cpack --config ./CPackConfig.cmake
.PHONY : package

# Special rule for the target package
package/fast: package
.PHONY : package/fast

# Special rule for the target package_source
package_source:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Run CPack packaging tool for source..."
	cd /home/all/PP/usb/GarminDev && /usr/bin/cpack --config ./CPackSourceConfig.cmake /home/all/PP/usb/GarminDev/CPackSourceConfig.cmake
.PHONY : package_source

# Special rule for the target package_source
package_source/fast: package_source
.PHONY : package_source/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/all/PP/usb/GarminDev && $(CMAKE_COMMAND) -E cmake_progress_start /home/all/PP/usb/GarminDev/CMakeFiles /home/all/PP/usb/GarminDev/src/FR305/CMakeFiles/progress.marks
	cd /home/all/PP/usb/GarminDev && $(MAKE) -f CMakeFiles/Makefile2 src/FR305/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/all/PP/usb/GarminDev/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/all/PP/usb/GarminDev && $(MAKE) -f CMakeFiles/Makefile2 src/FR305/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/all/PP/usb/GarminDev && $(MAKE) -f CMakeFiles/Makefile2 src/FR305/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/all/PP/usb/GarminDev && $(MAKE) -f CMakeFiles/Makefile2 src/FR305/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/all/PP/usb/GarminDev && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
src/FR305/CMakeFiles/FR305.dir/rule:
	cd /home/all/PP/usb/GarminDev && $(MAKE) -f CMakeFiles/Makefile2 src/FR305/CMakeFiles/FR305.dir/rule
.PHONY : src/FR305/CMakeFiles/FR305.dir/rule

# Convenience name for target.
FR305: src/FR305/CMakeFiles/FR305.dir/rule
.PHONY : FR305

# fast build rule for target.
FR305/fast:
	cd /home/all/PP/usb/GarminDev && $(MAKE) -f src/FR305/CMakeFiles/FR305.dir/build.make src/FR305/CMakeFiles/FR305.dir/build
.PHONY : FR305/fast

CDevice.o: CDevice.cpp.o
.PHONY : CDevice.o

# target to build an object file
CDevice.cpp.o:
	cd /home/all/PP/usb/GarminDev && $(MAKE) -f src/FR305/CMakeFiles/FR305.dir/build.make src/FR305/CMakeFiles/FR305.dir/CDevice.cpp.o
.PHONY : CDevice.cpp.o

CDevice.i: CDevice.cpp.i
.PHONY : CDevice.i

# target to preprocess a source file
CDevice.cpp.i:
	cd /home/all/PP/usb/GarminDev && $(MAKE) -f src/FR305/CMakeFiles/FR305.dir/build.make src/FR305/CMakeFiles/FR305.dir/CDevice.cpp.i
.PHONY : CDevice.cpp.i

CDevice.s: CDevice.cpp.s
.PHONY : CDevice.s

# target to generate assembly for a file
CDevice.cpp.s:
	cd /home/all/PP/usb/GarminDev && $(MAKE) -f src/FR305/CMakeFiles/FR305.dir/build.make src/FR305/CMakeFiles/FR305.dir/CDevice.cpp.s
.PHONY : CDevice.cpp.s

loader.o: loader.cpp.o
.PHONY : loader.o

# target to build an object file
loader.cpp.o:
	cd /home/all/PP/usb/GarminDev && $(MAKE) -f src/FR305/CMakeFiles/FR305.dir/build.make src/FR305/CMakeFiles/FR305.dir/loader.cpp.o
.PHONY : loader.cpp.o

loader.i: loader.cpp.i
.PHONY : loader.i

# target to preprocess a source file
loader.cpp.i:
	cd /home/all/PP/usb/GarminDev && $(MAKE) -f src/FR305/CMakeFiles/FR305.dir/build.make src/FR305/CMakeFiles/FR305.dir/loader.cpp.i
.PHONY : loader.cpp.i

loader.s: loader.cpp.s
.PHONY : loader.s

# target to generate assembly for a file
loader.cpp.s:
	cd /home/all/PP/usb/GarminDev && $(MAKE) -f src/FR305/CMakeFiles/FR305.dir/build.make src/FR305/CMakeFiles/FR305.dir/loader.cpp.s
.PHONY : loader.cpp.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... FR305"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... package"
	@echo "... package_source"
	@echo "... rebuild_cache"
	@echo "... CDevice.o"
	@echo "... CDevice.i"
	@echo "... CDevice.s"
	@echo "... loader.o"
	@echo "... loader.i"
	@echo "... loader.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/all/PP/usb/GarminDev && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system
