=== src/GPSMap76/CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
     message(" ${var}")
     add_custom_command( TARGET GPSMap76
                         POST_BUILD
-                        COMMAND ln ARGS -sf libGPSMap76.so lib${var}.so
+                        COMMAND ln ARGS -sf libGPSMap76${SHARED_LIB_EXT} lib${var}${SHARED_LIB_EXT}
                         WORKING_DIRECTORY ${LIBRARY_OUTPUT_PATH}
                         )
 endforeach(var)
