=== src/Oregon/CMakeLists.txt ===

set(CMAKE_VERBOSE_MAKEFILE ON)

set(SRCS
    loader.cpp
    Oregon.cpp
)

set(HDRS
    Oregon.h
)

include_directories(../ ${LIBUSB_INCLUDE_DIRS})
add_library(Oregon SHARED ${SRCS} ${LIBUSB_LIBRARIES} ${HDRS})
target_link_libraries(Oregon garmin pthread)

set(ALIASES
    Oregon450
)


foreach(var ${ALIASES})
    message(" ${var}")
    add_custom_command( TARGET Oregon
                        POST_BUILD
                        COMMAND ln ARGS -sf libOregon${SHARED_LIB_EXT} lib${var}${SHARED_LIB_EXT}
                        WORKING_DIRECTORY ${LIBRARY_OUTPUT_PATH}
                        )
endforeach(var)
