=== src/whatGarmin/CMakeLists.txt ===

set(CMAKE_VERBOSE_MAKEFILE ON)

set(SRCS
    loader.cpp
    CDevice.cpp
)

set(HDRS
    CDevice.h
)

include_directories(../ ${LIBUSB_INCLUDE_DIRS})
add_library(whatGarmin SHARED ${SRCS} ${HDRS})
target_link_libraries(whatGarmin garmin ${LIBUSB_LIBRARIES} pthread)
