=== debian/control ===
Source: garmindev
Section: utils
Priority: optional
Maintainer: Jaromír Mikeš <mira.mikes@seznam.cz>
Uploaders:
 Michael Hanke <michael.hanke@gmail.com>,
 Yaroslav Halchenko <yoh@debian.org>
Build-Depends:
 cmake (>= 2.4),
 debhelper (>= 9.20120417~),
 libusb-dev
Standards-Version: 3.9.4
Homepage: http://www.qlandkarte.org
XS-DM-Upload-Allowed: yes
Vcs-Browser: http://git.debian.org/?p=collab-maint/garmindev.git
Vcs-Git: git://git.debian.org/git/collab-maint/garmindev.git

Package: qlandkartegt-garmin
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: QLandkarteGT plugins to access Garmin devices
 A collection of plugins for QLandkarteGT to talk to various Garmin GPS devices,
 including GPSMap60CSx, GPSMap76, eTrexH, eTrexLegend, Forerunner 305 
 and similar GPSr.
