=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export LDFLAGS = -Wl,--no-undefined
+#export LDFLAGS = -Wl,--no-undefined
 
 # one ring to rule them all ...
 %:
