=== debian/watch ===
version=3
http://sf.net/qlandkartegt/garmindev-([\d\.]*)\.tar\.gz
